# SDIS29-2

## Rôle du script zabbix.sh

Le script Bash **zabbix.sh** sert à automatiser l'installation et la configuration du serveur de supervision Zabbix **ap32-mon** sur son système Debian Bookworm.

### 1. Configuration du proxy :
Définit les variables d'environnement http_proxy et https_proxy, ce qui permet aux commandes wget et apt-get de passer par un serveur proxy pour télécharger les paquets nécessaires avec `export http_proxy=http://10.121.38.1:8080` et `export https_proxy=https://10.121.38.1:8080`.

### 2. Téléchargement et installation du paquet Zabbix :
Utilise wget pour télécharger le paquet **Zabbix 7.0** spécifique à Bookworm.
Installe le paquet téléchargé avec **dpkg**, ajoutant ainsi le dépôt officiel de Zabbix aux sources de paquets de la machine.

### 3. Installation des paquets requis :
Installe **apache2** et **mariadb-server** pour fournir un serveur web et une base de données pour Zabbix.
Installe les composants principaux de Zabbix `zabbix-server-mysql zabbix-frontend-php zabbix-apache-conf zabbix-sql-scripts zabbix-agent` : le serveur, l'interface web , la configuration Apache, les scripts SQL pour la base de données, et l’agent de supervision.

### 4. Configuration de la base de données MariaDB :
Crée la base de données nommée "zabbix".
Crée un utilisateur nommé "zabbix" avec le mot de passe "password" et lui accorde tous les privilèges sur la base de données nommée "zabbix".

### 5. Importation des données dans la base :
Utilise zcat pour décompresser et exécuter le script SQL par défaut de Zabbix, initialisant ainsi la structure de la base de données.

### 6. Configuration de Zabbix :
Modifie le fichier de configuration de Zabbix pour ajouter le mot de passe de l’utilisateur de la base de données.

### 7. Restart des services :
Redémarre et active au démarrage les services Zabbix (serveur et agent) ainsi qu'Apache pour s’assurer que l’interface web et le serveur Zabbix fonctionnent correctement.


Modification : Adam Alphonso